<?php
error_reporting(E_ALL & ~E_WARNING & ~E_NOTICE & ~E_DEPRECATED);
ob_start();
session_start();
if((($_SERVER['SERVER_ADDR']==$_SESSION['demo_server_ip']) && ($_SERVER['REMOTE_ADDR']!=$_SESSION['demo_developer_ip']) && ($_SESSION['id_user']==$_SESSION['demo_user_id'])) || ($_SESSION['sml_si']!=session_id())) {
    //DEMO CHECK
    die();
}
require_once("../../db/connection.php");
require_once("../functions.php");
$id_user = $_SESSION['id_user'];
session_write_close();
$id_map = $_POST['id_map'];
$file = $_POST['file'];
if(empty($id_map)) {
    $id_map=NULL;
}
$query = "INSERT INTO sml_media_library(id_map,file) VALUES(?,?);";
if($smt = $mysqli->prepare($query)) {
    $smt->bind_param('is',  $id_map,$file);
    $result = $smt->execute();
    if ($result) {
        require_once("../../services/generate_thumb.php");
        ob_end_clean();
        echo json_encode(array("status"=>"ok"));
    } else {
        ob_end_clean();
        echo json_encode(array("status"=>"error"));
    }
} else {
    ob_end_clean();
    echo json_encode(array("status"=>"error"));
}